-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
-- Script gnr le 24/6/2007 - SGBD cible : MySql version 4
-- Gnration d'un script SQL  partir d'une base Access V 1.0 - Pierre Loisel - CERTA
-- > Les n auto pour des attributs non cl primaire ont t transforms en INTEGER.
-- > Les tables gnres sont de type InnoDb.
-- > Les cls trangres ne sont gres que si MySql gre les tables InnoDb.
-- > Le jeu de caractres utilis est LATIN-1.
-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
set names 'latin1';
create table ContenuPret(numeroPret DOUBLE not null,numeroInventaire DOUBLE not null,datePret DATETIME,dateRetourPret DATETIME,primary key(numeroPret,numeroInventaire)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into ContenuPret(numeroPret,numeroInventaire,datePret,dateRetourPret) values(87,12,'2007-3-5','2007-12-12');
insert into ContenuPret(numeroPret,numeroInventaire,datePret,dateRetourPret) values(87,17,'2007-3-8','2007-12-12');
create table ConventionPret(numero DOUBLE not null,sens VARCHAR(255),numeroInstitution DOUBLE,numeroExposition DOUBLE,primary key(numero)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into ConventionPret(numero,sens,numeroInstitution,numeroExposition) values(87,'entrant',52,87875);
insert into ConventionPret(numero,sens,numeroInstitution,numeroExposition) values(35,'sortant',77,98541);
insert into ConventionPret(numero,sens,numeroInstitution,numeroExposition) values(105,'entrant',52,87875);
create table Departement(code DOUBLE not null,libelle VARCHAR(255),primary key(code)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into Departement(code,libelle) values(35,'Irlandais');
insert into Departement(code,libelle) values(27,'africain');
insert into Departement(code,libelle) values(46,'sumrien');
create table Exposition(numero DOUBLE not null,libelle VARCHAR(255),dateDebut DATETIME,dateFin DATETIME,primary key(numero)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into Exposition(numero,libelle,dateDebut,dateFin) values(87875,'Super Expo','2007-5-4','2007-12-10');
insert into Exposition(numero,libelle,dateDebut,dateFin) values(98541,'petite expo','2007-8-5','2008-3-5');
create table Institution(numero DOUBLE not null,nom VARCHAR(255),categorie VARCHAR(255),primary key(numero)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into Institution(numero,nom,categorie) values(52,'Azerty','correct');
insert into Institution(numero,nom,categorie) values(77,'Qwerty','pas terrible');
create table Objet(numeroInventaire DOUBLE not null,codeBarre DOUBLE,libelle VARCHAR(255),description VARCHAR(255),codeStatut DOUBLE,dateAcquisition DATETIME,hauteur DOUBLE,largeur DOUBLE,profondeur DOUBLE,poids DOUBLE,urlImage VARCHAR(255),enPlateau DOUBLE,codeDepartement DOUBLE,Champ14 VARCHAR(255),primary key(numeroInventaire)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into Objet(numeroInventaire,codeBarre,libelle,description,codeStatut,dateAcquisition,hauteur,largeur,profondeur,poids,urlImage,enPlateau,codeDepartement,Champ14) values(12,11254896,'Lance Ababara','Superbe objet',1,'2006-2-15',120,40,25,3000,'lance002.jpg',0,35,null);
insert into Objet(numeroInventaire,codeBarre,libelle,description,codeStatut,dateAcquisition,hauteur,largeur,profondeur,poids,urlImage,enPlateau,codeDepartement,Champ14) values(17,78454964,'bb','Le top du top',1,'1959-6-7',10,27,34,300,'top.jpg',1,46,null);
insert into Objet(numeroInventaire,codeBarre,libelle,description,codeStatut,dateAcquisition,hauteur,largeur,profondeur,poids,urlImage,enPlateau,codeDepartement,Champ14) values(24,78456985,'assiette','pour manger',2,'2006-4-12',20,20,3,30,'assiette.jp',1,46,null);
create table Statut(code DOUBLE not null,Libelle VARCHAR(255),primary key(code)) TYPE=INNODB DEFAULT CHARSET=latin1;
insert into Statut(code,Libelle) values(1,'acquis');
insert into Statut(code,Libelle) values(2,'emprunt');
insert into Statut(code,Libelle) values(3,'restitu');
alter table ContenuPret add foreign key (numeroPret) references ConventionPret(numero);
alter table Objet add foreign key (codeDepartement) references Departement(code);
alter table ConventionPret add foreign key (numeroExposition) references Exposition(numero);
alter table ConventionPret add foreign key (numeroInstitution) references Institution(numero);
alter table ContenuPret add foreign key (numeroInventaire) references Objet(numeroInventaire);
alter table Objet add foreign key (codeStatut) references Statut(code);
commit;
